<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Javascript Einf&uuml;hrung</title>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
		<link href="src/css/style.css" rel="stylesheet" type="text/css" />
	</head>
	<body class="bg-light p-3">
		
		<h1 class="text-center mb-5">Javascript Einf&uuml;hrung</h1>
		
<!--		COUNTER			-->

		<div class="container w-25 bg-white rounded p-4 shadow">
			<h3>Counter</h3>
			<div class="row">
				<input id="counterOutput" class="form-control col m-1" type="text" value="0" />
				<button id="counterIncrement" class="btn btn-primary col m-1">Add 1</button>
			</div>
		</div>

<!--		CALC			-->

		<div class="container w-50 bg-white rounded p-4 mt-5 shadow">
			<h3>Calculator</h3>
			<div class="row">
				<input id="calcNumber1" class="form-control col m-1" type="text" />
				<input id="calcNumber2" class="form-control col m-1" type="text" />
				<button class="btn btn-white col m-1" disabled>=</button>
				<input id="calcResultOutput" class="form-control col m-1" type="text" readonly />
			</div>
			<div class="row" id="calcButtons">
				<button id="calcAdd" class="btn btn-primary col m-1">+</button>
				<button id="calcSub" class="btn btn-primary col m-1">-</button>
				<button id="calcMul" class="btn btn-primary col m-1">x</button>
				<button id="calcDiv" class="btn btn-primary col m-1">:</button>
			</div>
		</div>

<!--		STRING CONCAT			-->

		<div class="container w-50 bg-white rounded p-4 mt-5 shadow">
			<h3>String Concatenation</h3>
			<div class="row">				
			<div class="input-group ps-0 pe-0 mb-2">
				<input id="stringInput" type="text" class="form-control" placeholder="add text...">
				<div class="input-group-append">
					<button id="clearStringInput" class="btn btn-danger btn-edge-r" type="button">&times;</button>
				</div>
			</div>
			</div>
			<div class="row" id="concatButtons">
				<button id="concatStrings" class="btn btn-primary col m-1">Concatenate</button>
				<button id="clearConcatOutput" class="btn btn-primary col m-1">Clear</button>
				<button id="subString" class="btn btn-primary col m-1">-1 Char</button>
			</div>
			<div class="row">
				<fieldset class="col rounded">
					<legend>Result</legend>
					<div id="concatOutput" class="text-break">This is a string...</div>
				</fieldset>
			</div>
		</div>

<!--			COLOR MIXER			-->

		<div class="container w-25 bg-white rounded p-4 mt-5 shadow">
			<h3>Colors</h3>
			<div class="row">
				
				<div id="mixedColor" class="colors-output border rounded"></div>
				<div class="form-check">
					<label class="form-check-label">
						<input id="red" type="checkbox" class="form-check-input" value="">Rot
					</label>
				</div>
				<div class="form-check">
					<label class="form-check-label">
						<input id="green" type="checkbox" class="form-check-input" value="">Grün
					</label>
				</div>
				<div class="form-check">
					<label class="form-check-label">
						<input id="blue" type="checkbox" class="form-check-input" value="">Blau
					</label>
				</div>
				<button id="mixColors" class="btn btn-primary">Mischen</button>				

			</div>
		</div>
	<script src="src/js/script.js"></script>
	</body>
</html>